agent evidence
Generate an agent evidence quality case
Requires scopes: reports:write
POST
/
api
/
agent-evidence
/
quality-case
/
generate
Generate an agent evidence quality case
curl --request POST \
--url https://evalgate.com/api/agent-evidence/quality-case/generate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"scope": "runtime",
"caseKey": "<string>",
"aiSystemId": 123,
"evidenceItemIds": [
123
],
"runtimeId": 123,
"connectorId": 123,
"knownRisks": {},
"restrictions": {},
"policyDecisionSummary": {
"denied": 123,
"allowed": 123,
"requiresApproval": 123
},
"openIncidentCount": 123,
"approvalScope": {}
}
'import requests
url = "https://evalgate.com/api/agent-evidence/quality-case/generate"
payload = {
"title": "<string>",
"scope": "runtime",
"caseKey": "<string>",
"aiSystemId": 123,
"evidenceItemIds": [123],
"runtimeId": 123,
"connectorId": 123,
"knownRisks": {},
"restrictions": {},
"policyDecisionSummary": {
"denied": 123,
"allowed": 123,
"requiresApproval": 123
},
"openIncidentCount": 123,
"approvalScope": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
scope: 'runtime',
caseKey: '<string>',
aiSystemId: 123,
evidenceItemIds: [123],
runtimeId: 123,
connectorId: 123,
knownRisks: {},
restrictions: {},
policyDecisionSummary: {denied: 123, allowed: 123, requiresApproval: 123},
openIncidentCount: 123,
approvalScope: {}
})
};
fetch('https://evalgate.com/api/agent-evidence/quality-case/generate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "<string>",
"title": "<string>",
"confidence": 123,
"id": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdBy": "<string>",
"aiSystemId": 123,
"approvals": {
"schemaVersion": 123,
"approvals": [
{
"approver": "<string>",
"decision": "<string>",
"approvedAt": "<string>"
}
]
},
"caseKey": "<string>",
"runtimeId": 123,
"connectorId": 123,
"supportingEvidenceItemIds": [
123
],
"knownRisks": {
"schemaVersion": 123,
"risks": [
{
"description": "<string>",
"severity": "low",
"mitigation": "<string>"
}
]
},
"restrictions": {
"schemaVersion": 123,
"restrictions": [
{
"type": "<string>",
"description": "<string>"
}
]
},
"nextReviewAt": "2023-11-07T05:31:56Z",
"report": {
"summary": "<string>",
"schemaVersion": 123,
"findings": [
"<string>"
],
"recommendations": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
scope
Option 1 · enum<string>Option 2 · enum<string>Option 3 · enum<string>Option 4 · enum<string>Option 5 · enum<string>
required
Available options:
runtime Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
Successful response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
Generate an agent evidence quality case
